#
# Conditional build:
%bcond_without	curl	# cURL support
%bcond_without	ldap	# LDAP support (via OpenLDAP)
%bcond_with	nss	# NSS instead of OpenSSL
%bcond_without	pcsc	# PC/SC Lite support

Summary:	PAM login module that allows a X.509 certificate based user login
Summary(pl.UTF-8):	Moduł PAM umożliwiający logowanie się w oparciu o certyfikat X.509
Name:		pam-pam_pkcs11
Version:	0.6.10
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/OpenSC/pam_pkcs11/releases
Source0:	https://github.com/OpenSC/pam_pkcs11/archive/pam_pkcs11-%{version}.tar.gz
# Source0-md5:	8ededc8acdcc6084ad52ee03bdf9e4d3
Patch0:		%{name}-openssl.patch
URL:		https://github.com/OpenSC/pam_pkcs11
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
%{?with_curl:BuildRequires:	curl-devel}
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	libxslt-progs
BuildRequires:	libtool >= 2:2
%{?with_nss:BuildRequires:	nss-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
%{!?with_nss:BuildRequires:	openssl-devel}
BuildRequires:	pam-devel
%{?with_pcsc:BuildRequires:	pcsc-lite-devel >= 1.6.0}
BuildRequires:	pkgconfig
%{?with_pcsc:Requires:	pcsc-lite-libs >= 1.6.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
This PAM login module allows a X.509 certificate based user login. The
certificate and its dedicated private key are thereby accessed by
means of an appropriate PKCS#11 module. For the verification of the
users' certificates, locally stored CA certificates as well as either
online or locally accessible CRLs are used.

%description -l pl.UTF-8
Ten moduł PAM umożliwia logowanie się w oparciu o certyfikaty X.509.
Certyfikat i jego klucz prywatny są odczytywane poprzez odpowiedni
moduł PKCS#11. Do weryfikacji certyfikatów użytkowników używane są
lokalnie przechowywane certyfikaty CA albo dostępne lokalnie lub
zdalnie CRL.

%prep
%setup -q -n pam_pkcs11-pam_pkcs11-%{version}
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_curl:--with-curl} \
	%{!?with_ldap:--without-ldap} \
	%{?with_nss:--with-nss} \
	%{!?with_pcsc:--without-pcsclite}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_pkcs11.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pam_pkcs11/*.la
# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/pam_pkcs11/*.example

%find_lang pam_pkcs11

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pam_pkcs11.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/{README.*,*.html,*.css} etc/*.example
%attr(755,root,root) %{_bindir}/card_eventmgr
%attr(755,root,root) %{_bindir}/pkcs11_eventmgr
%attr(755,root,root) %{_bindir}/pkcs11_inspect
%attr(755,root,root) %{_bindir}/pkcs11_listcerts
%attr(755,root,root) %{_bindir}/pkcs11_make_hash_link
%attr(755,root,root) %{_bindir}/pkcs11_setup
%attr(755,root,root) %{_bindir}/pklogin_finder
%attr(755,root,root) /%{_lib}/security/pam_pkcs11.so
%dir %{_libdir}/pam_pkcs11
%attr(755,root,root) %{_libdir}/pam_pkcs11/*.so
%{_mandir}/man1/card_eventmgr.1*
%{_mandir}/man1/pkcs11_*.1*
%{_mandir}/man1/pklogin_finder.1*
%{_mandir}/man8/pam_pkcs11.8*
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_pkcs11.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 8dda210
- rebuild with openssl 3.0.0

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> e170801
- updated to 0.6.10
- added openssl patch (fixes for openssl 1.1.x)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d031e17
- release 2 (by relup.sh)

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 3814dc6
- new URLs, updated to 0.6.9

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0d4f756
- updated gettext BR

* Sat Apr 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 718c722
- updated to 0.6.8
- removed obsolete pl.po-update patch

* Thu Aug 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1ea2854
- updated to 0.6.7
- updated pl.po-update patch

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> e6180a6
- updated to 0.6.6
- updated pl.po-update patch

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 2fe43c4
- updated to 0.6.5
- updated pl.po-update patch, removed obsolete pcsc-update patch

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 39a287d
- updated to 0.6.4
- added pcsc-update patch to build with current pcsc-lite
- added pl.po-update patch instead of old (already merged upstream) pl.po file

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 38c58e0
- updated openldap BR/R to 2.4.6

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 161e1d3
- updated to 0.6.0
- added pl.po

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> e3a061b
- new

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0e8e401
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5642c86
- converted to UTF-8

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 91663e5
- updated URLs

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> b62de53
- updated Source0 URL

* Wed Oct 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 4f1593d
- more specific URL

* Thu Oct 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 069b30c
- new

